%bcond_without rhel4hack
%kmdl hostap

Summary: Host AP driver for Intersil Prism2/2.5/3 and WPA Supplicant.
Name: hostap-driver
Version: 0.4.9
Release: 13%{?dist}
License: GPL2
Group: System Environment/Kernel
URL: http://hostap.epitest.fi/
Source0: http://hostap.epitest.fi/releases/%{name}-%{version}.tar.gz
Patch0: hostap-driver-0.4.9-rhel4.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
# kernel 2.4 build requires /sbin/genksyms
BuildRequires: modutils
%kmdl_parentdependencies

%description
This is a Linux driver for wireless LAN cards based on Intersil's
Prism2/2.5/3 chipset. The driver supports a so called Host AP mode,
i.e., it takes care of IEEE 802.11 management functions in the host
computer and acts as an access point. This does not require any
special firmware for the wireless LAN card. In addition to this, it
has support for normal station operations in BSS and possible also in
IBSS. WPA and RSN (WPA2) is supported when used with accompanied
tools, wpa_supplicant (WPA/RSN Supplicant) and hostapd (WPA/RSN
Authenticator).

%package -n %kmdl_name
%kmdl_dependencies
Summary: Kernel module for the Host AP driver.
Group: System Environment/Kernel

%description -n %kmdl_name
This package contains kernel drivers for the Host AP driver for
Intersil Prism2/2.5/3 and WPA Supplicant.

%kmdl_desc

%prep
%setup -q
%{?with_rhel4hack:%patch0 -p1 -b .rhel4hack}
perl -pi -e's,/sbin/depmod,:,g' Makefile
perl -pi -e's,\$\(MODPATH\)/kernel,\$(DESTDIR)%{kmdl_moduledir},' Makefile
if grep free_netdev %{kmdl_kernelsrcdir}/include/linux/netdevice.h > /dev/null; then
  perl -pi -e's,free_netdev,already_defined_free_netdev,g' driver/modules/hostap_compat.h
fi

%build

%if %{kmdl_userland}
%else

%kmdl_config
make KERNEL_PATH=%{kmdl_kernelsrcdir}

%endif

%install
rm -rf %{buildroot}

%if %{kmdl_userland}
mkdir -p %{buildroot}%{_sysconfdir}/pcmcia
cp -f driver/etc/hostap_cs.conf -p %{buildroot}%{_sysconfdir}/pcmcia/

%else

mkdir -p %{buildroot}%{_sysconfdir}/pcmcia
mkdir -p %{buildroot}%{kmdl_moduledir}/drivers/net/wireless/
make DESTDIR=%{buildroot} KERNEL_PATH=%{kmdl_kernelsrcdir} \
  MODPATH_PCI=%{buildroot}%{kmdl_moduledir}/drivers/net/wireless\
  MODPATH_CS=%{buildroot}%{kmdl_moduledir}/drivers/net/wireless\
  MODPATH_PLX=%{buildroot}%{kmdl_moduledir}/drivers/net/wireless\
  install

%endif


%clean
rm -rf %{buildroot}

%post -n %kmdl_name
%kmdl_install

%postun -n %kmdl_name
%kmdl_remove

%if %{kmdl_userland}

%files
%defattr(-,root,root,-)
%doc README* COPYING
%config(noreplace) %{_sysconfdir}/pcmcia/hostap_cs.conf

%else

%files -n %kmdl_name
%defattr(-,root,root,-)
%exclude %{_sysconfdir}/pcmcia/hostap_cs.conf
%dir %{kmdl_moduledir}
%dir %{kmdl_moduledir}/drivers
%dir %{kmdl_moduledir}/drivers/net
%dir %{kmdl_moduledir}/drivers/net/wireless
%{kmdl_moduledir}/drivers/net/wireless/hostap.*o
%{kmdl_moduledir}/drivers/net/wireless/hostap_crypt_wep.*o
%{kmdl_moduledir}/drivers/net/wireless/hostap_pci.*o
%{kmdl_moduledir}/drivers/net/wireless/hostap_plx.*o
%{kmdl_moduledir}/drivers/net/wireless/hostap_cs.*o
%{kmdl_moduledir}/drivers/net/wireless/hostap_crypt_ccmp.*o
%{kmdl_moduledir}/drivers/net/wireless/hostap_crypt_tkip.*o
%endif


%changelog
* Thu May 10 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.4.9-13
- Add fixes for RHEL4's wireless ext 18 half-port.

* Wed May 31 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.4.9.

* Sun Dec 11 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.4.7.

* Thu Oct 27 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.3.9.

* Sat Mar  5 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.3.7.

* Wed Jan  5 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.2.6.

* Sat Oct 16 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.2.5.

* Sat Jun 26 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.2.3.

* Sat May  8 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.


